> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/exchange-accounts/internal-transfer-for-exchange-accounts",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Internal transfer for exchange accounts

> Transfers funds between trading accounts under the same exchange account.
Learn more about Fireblocks Exchange Connectivity in the following [guide](https://developers.fireblocks.com/docs/connect-to-exchanges-and-fiat-providers).
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /exchange_accounts/{exchangeAccountId}/internal_transfer
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /exchange_accounts/{exchangeAccountId}/internal_transfer:
    post:
      tags:
        - Exchange accounts
      summary: Internal transfer for exchange accounts
      description: >-
        Transfers funds between trading accounts under the same exchange
        account.

        Learn more about Fireblocks Exchange Connectivity in the following
        [guide](https://developers.fireblocks.com/docs/connect-to-exchanges-and-fiat-providers).

        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: internalTransfer
      parameters:
        - in: path
          name: exchangeAccountId
          required: true
          description: The ID of the exchange account to return
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInternalTransferRequest'
      responses:
        '201':
          description: Transfer succeeded
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalTransferResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<InternalTransferResponse>> =
            fireblocks.exchangeAccounts.internalTransfer(exchangeAccountsApiInternalTransferRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<InternalTransferResponse>> response =
            fireblocks.exchangeAccounts().internalTransfer(exchangeAccountId,
            createInternalTransferRequest, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.exchange_accounts.internal_transfer(exchange_account_id,
            create_internal_transfer_request, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CreateInternalTransferRequest:
      type: object
      properties:
        asset:
          type: string
        amount:
          type: string
        sourceType:
          $ref: '#/components/schemas/TradingAccountType'
        destType:
          $ref: '#/components/schemas/TradingAccountType'
      required:
        - asset
        - amount
        - sourceType
        - destType
    InternalTransferResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates whether the transfer was successful
        id:
          type: string
          nullable: true
          description: The transaction ID of the internal transfer
      required:
        - success
    TradingAccountType:
      type: string
      enum:
        - COIN_FUTURES
        - COIN_MARGINED_SWAP
        - EXCHANGE
        - FUNDING
        - FUNDABLE
        - FUTURES
        - FUTURES_CROSS
        - MARGIN
        - MARGIN_CROSS
        - OPTIONS
        - SPOT
        - USDT_MARGINED_SWAP_CROSS
        - USDT_FUTURES
        - UNIFIED
        - INTERNAL_BALANCE_1
        - INTERNAL_BALANCE_2
        - INTERNAL_BALANCE_3
        - INTERNAL_BALANCE_4
        - INTERNAL_BALANCE_5
        - INTERNAL_BALANCE_6
        - INTERNAL_BALANCE_7
        - INTERNAL_BALANCE_8
        - INTERNAL_BALANCE_9
        - INTERNAL_BALANCE_10
        - INTERNAL_BALANCE_11
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````